[omd-devel] Missing dependency in latest Snapshots (wheezy)

Sven Nierlein sven at nierlein.de
Fri May 9 18:56:45 CEST 2014


On 09/05/14 8:27, Roland Huß wrote:
> Setting up omd-1.11.20140501 (0.wheezy) ...
> /var/lib/dpkg/info/omd-1.11.20140501.postinst: 84: /var/lib/dpkg/info/omd-1.11.20140501.postinst: a2enconf: not found
> dpkg: error processing omd-1.11.20140501 (--configure):
>  subprocess installed post-installation script returned error exit status 127
> dpkg: dependency problems prevent configuration of omd-daily:
>  omd-daily depends on omd-1.11.20140501; however:
>   Package omd-1.11.20140501 is not configured yet.

a2enconf sounds like apache 2.4 but there is only apache 2.2 in wheezy. Are you sure you got the right package?
On the other hand, we use a2enconf when there is a /etc/apache2/conf-available folder, which is usually the case
with apache 2.4. Maybe we should test for a2enconf itself instead of that folder...

debian/postinst.in:
> # -- enable conf include, when available
> if test -d /etc/apache2/conf-available; then
>     a2enconf zzz_omd
> fi

 Sven


More information about the omd-devel mailing list